org.codehaus.plexus.component.configurator

## Class ComponentConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.component.configurator.ComponentConfigurationException

All Implemented Interfaces:
  Serializable

    public class ComponentConfigurationException
    extends Exception

Version:
  $Id: ComponentConfigurationException.java 2573 2005-09-30 23:38:00Z jdcasey $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComponentConfigurationException(PlexusConfiguration failedConfiguration, String message)`
`ComponentConfigurationException(PlexusConfiguration failedConfiguration, String message, Throwable cause)`
`ComponentConfigurationException(PlexusConfiguration failedConfiguration, Throwable cause)`
`ComponentConfigurationException(String message)`
`ComponentConfigurationException(String message, Throwable cause)`
`ComponentConfigurationException(Throwable cause)`

### Method Summary

Methods
`PlexusConfiguration` `getFailedConfiguration()`
`void` `setFailedConfiguration(PlexusConfiguration failedConfiguration)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentConfigurationException

    public ComponentConfigurationException(String message)

#### ComponentConfigurationException

    public ComponentConfigurationException(String message,
                                   Throwable cause)

#### ComponentConfigurationException

    public ComponentConfigurationException(Throwable cause)

#### ComponentConfigurationException

    public ComponentConfigurationException(PlexusConfiguration failedConfiguration,
                                   String message)

#### ComponentConfigurationException

    public ComponentConfigurationException(PlexusConfiguration failedConfiguration,
                                   String message,
                                   Throwable cause)

#### ComponentConfigurationException

    public ComponentConfigurationException(PlexusConfiguration failedConfiguration,
                                   Throwable cause)

### Method Detail

#### setFailedConfiguration

    public void setFailedConfiguration(PlexusConfiguration failedConfiguration)

#### getFailedConfiguration

    public PlexusConfiguration getFailedConfiguration()